package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.PoIssuer;
import org.apache.ibatis.annotations.Mapper;

/**
 * 发行人Mapper接口
 *
 * @author ruoyi
 * @date 2023-02-18
 */
@Mapper
public interface PoIssuerMapper
{
    /**
     * 查询发行人信息
     *
     * @param issuerId 发行人ID
     * @return 发行人信息
     */
    public PoIssuer selectPoIssuerByIssuerId(Long issuerId);

    /**
     * 查询发行人列表
     *
     * @param poIssuer 发行人信息
     * @return 发行人集合
     */
    public List<PoIssuer> selectPoIssuerList(PoIssuer poIssuer);

    /**
     * 新增发行人
     *
     * @param poIssuer 发行人信息
     * @return 结果
     */
    public int insertPoIssuer(PoIssuer poIssuer);

    /**
     * 修改发行人
     *
     * @param poIssuer 发行人信息
     * @return 结果
     */
    public int updatePoIssuer(PoIssuer poIssuer);

    /**
     * 删除发行人
     *
     * @param issuerId 发行人信息
     * @return 结果
     */
    public int deletePoIssuerByIssuerId(Long issuerId);

    /**
     * 批量删除发行人
     *
     * @param issuerIds 需要删除的发行人ID
     * @return 结果
     */
    public int deletePoIssuerByIssuerIds(Long[] issuerIds);
}
